Skip to main content
`Ctrl`+`K`

# SNESMultiblockSetType

Sets the type of block combination used for a `SNESMULTIBLOCK` solver

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMultiblockSetType(SNES snes, PCCompositeType type)

Logically Collective

## Input Parameters

- snes - the solver context

- type - `PC_COMPOSITE_ADDITIVE`, `PC_COMPOSITE_MULTIPLICATIVE` (default), `PC_COMPOSITE_SYMMETRIC_MULTIPLICATIVE`

## Options Database Key

- -snes_multiblock_type (multiplicative|additive|symmetric_multiplicative) - Sets block combination type

## Developer Note

This `SNESType` uses `PCCompositeType`, while `SNESCompositeSetType()` uses `SNESCOMPOSITE`, perhaps they should be unified in the future

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESMULTIBLOCK`, `PCCompositeSetType()`, `PC_COMPOSITE_ADDITIVE`, `PC_COMPOSITE_MULTIPLICATIVE`, `PC_COMPOSITE_SYMMETRIC_MULTIPLICATIVE`, `PCCompositeType`, `SNESCOMPOSITE`, `SNESCompositeSetType()`

## Level

advanced

## Location

src/snes/impls/multiblock/multiblock.c

## Implementations

SNESMultiblockSetType_Default() in src/snes/impls/multiblock/multiblock.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages